Commit 5706748c authored by Emmanuel Bourg's avatar Emmanuel Bourg

Replaced the dependency on glassfish-j2ee with the Geronimo spec jars

parent 35fbbb17
......@@ -3,6 +3,7 @@ libspring-java (4.3.13-1) UNRELEASED; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* Replaced the dependency on glassfish-j2ee with the Geronimo spec jars
* Standards-Version updated to 4.1.2
-- Emmanuel Bourg <ebourg@apache.org> Mon, 04 Dec 2017 13:20:48 +0100
......
......@@ -8,7 +8,6 @@ Build-Depends: debhelper (>= 10),
gradle (>= 1.7),
gradle-debian-helper (>= 1.4.4~)
Build-Depends-Indep: bsh,
glassfish-javaee,
gradle-plugin-protobuf,
gradle-propdeps-plugin,
groovy,
......@@ -35,7 +34,7 @@ Build-Depends-Indep: bsh,
libfreemarker-java,
libgeronimo-commonj-spec-java (>= 1.1.1-3),
libgeronimo-concurrent-1.0-spec-java,
libgeronimo-ejb-3.0-spec-java,
libgeronimo-ejb-3.2-spec-java,
libgeronimo-interceptor-3.0-spec-java,
libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
libgeronimo-jcache-1.0-spec-java,
......@@ -142,11 +141,10 @@ Depends: libspring-aop-java (= ${source:Version}),
libspring-core-java (= ${source:Version}),
libspring-expression-java (= ${source:Version}),
${misc:Depends}
Recommends: glassfish-javaee,
libasm-java (>= 5.0),
Recommends: libasm-java (>= 5.0),
libatinject-jsr330-api-java,
libcglib-java (>= 3.1),
libgeronimo-ejb-3.0-spec-java,
libgeronimo-ejb-3.2-spec-java,
libgeronimo-jms-1.1-spec-java,
libgeronimo-validation-1.0-spec-java,
libjodatime-java,
......@@ -260,7 +258,10 @@ Package: libspring-transaction-java
Architecture: all
Depends: libspring-core-java (= ${source:Version}),
${misc:Depends}
Recommends: glassfish-javaee,
Recommends: libgeronimo-ejb-3.2-spec-java,
libgeronimo-interceptor-3.0-spec-java,
libgeronimo-j2ee-connector-1.5-spec-java (>= 2.0.0-1.1),
libgeronimo-jta-1.2-spec-java,
libspring-aop-java (= ${source:Version}),
libspring-context-java (= ${source:Version})
Description: modular Java/J2EE application framework - transaction
......@@ -299,7 +300,8 @@ Description: modular Java/J2EE application framework - Messaging tools
Package: libspring-jms-java
Architecture: all
Depends: glassfish-javaee,
Depends: libgeronimo-jms-1.1-spec-java,
libgeronimo-jta-1.2-spec-java,
libspring-beans-java (= ${source:Version}),
libspring-messaging-java (= ${source:Version}),
libspring-transaction-java (= ${source:Version}),
......
Description: Replaces the javax.ejb:ejb-api dependency with equivalent Geronimo Spec artifacts.
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/build.gradle
+++ b/build.gradle
@@ -476,7 +476,8 @@
compile(files(project(":spring-core").cglibRepackJar))
optional(project(":spring-instrument"))
optional("javax.inject:javax.inject:1")
- optional("javax.ejb:ejb-api:${ejbVersion}")
+ optional("org.apache.geronimo.specs:geronimo-ejb_3.2_spec:debian")
+ optional("org.apache.geronimo.specs:geronimo-interceptor_3.0_spec:debian")
optional("javax.enterprise.concurrent:javax.enterprise.concurrent-api:1.0")
optional("javax.money:money-api:1.0.1")
optional("org.eclipse.persistence:javax.persistence:2.0.0")
@@ -584,7 +585,8 @@
optional(project(":spring-context")) // for JCA, @EnableTransactionManagement
optional("javax.transaction:javax.transaction-api:${jtaVersion}")
optional("javax.resource:connector-api:1.5")
- optional("javax.ejb:ejb-api:${ejbVersion}")
+ optional("org.apache.geronimo.specs:geronimo-ejb_3.2_spec:debian")
+ optional("org.apache.geronimo.specs:geronimo-interceptor_3.0_spec:debian")
optional("com.ibm.websphere:uow:6.0.2.17")
testCompile("org.aspectj:aspectjweaver:${aspectjVersion}")
testCompile("org.eclipse.persistence:javax.persistence:2.0.0")
......@@ -15,3 +15,4 @@
0044-ignore-httpunit.patch
0045-ignore-caffeine.patch
0046-jruby-compatibility.patch
0047-ejb-api-compatibility.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment